body {
	margin-left: 5px;
	margin-top: 0px;
	margin-right: 5px;
	margin-bottom: 0px;
	font-family: Arial, Helvetica, sans-serif;
	background-color: #ffffff;
}


A
{
	text-decoration: none;
}


a:hover {
    background-color: yellow;
	text-decoration: underline;
}

.positive_message {
	color: rgb(0,180,0);
}

label {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
	color: #333333;
	line-height: 14px;
}


form.form_inline {
	margin: 0;
	padding: .1em;
	border: 0px;
	clear: none;
	display: inline;
}



table.form_inline {
	margin: 0;
	padding: .1em;
	border: 0px;
	clear: none;
	display: inline;
}



#logout_form {
	margin: 0;
	padding: .1em;
	border: 0px;
	clear: none;
	display: inline;
}


.left_align
{
   text-align: left;
}

.right_align
{
   text-align: right;
}

.top_and_right_align
{
   vertical-align: top;
   text-align: right;
}

.top_right_fixed_width
{
	font-family: Courier, Monaco, "Courier New", monospace;
	vertical-align: top;
	text-align: right;
}

.top_align
{
   vertical-align: top;
}

.bottom_and_center_align
{
	vertical-align: bottom;
	text-align: center;
}

.bottom_align
{
   vertical-align: bottom;
}



table.roles_and_groups td
{
	border: 1px solid rgb(200,200,200);
}

table.database_backup_setups th
{
	background-color: PowderBlue;
	border: 1px solid rgb(200,200,200);
	border-collapse: collapse;
	padding:3px;
}

table.database_backup_setups td
{
	background-color: PapayaWhip;
	border: 1px solid rgb(200,200,200);
	border-collapse: collapse;
	padding:3px;
}


form.no_wrap
{
	display:inline;
	white-space:nowrap;
	margin:0;
	margin-top: 0px;
	margin-bottom: 0px;
	border:none;
	border-collapse: collapse;
	padding:0;
}


.special_note
{
	font-weight: bold;
	background-color: rgb(255,245,230);
	padding: 5px;
	margin: 5px;
	border: 5px;
	display: inline-block;
}

.err_msg
{
	color: rgb(230,0,0);
	font-style: italic;
}

table.lined,
table.lined tr,
table.lined td,
table.lined th {
	border: 1px solid #000000;
}

table.unlined,
table.unlined tr,
table.unlined td,
table.unlined th {
	border: 0px solid #FFFFFF;
}

table.unlined td {
	padding:5px;
}



table.data {
	border: 3px;
	background-color: #CCFFFF;
   font-size: 90%;
}



table.data th {
	border:1px solid black;
	vertical-align:bottom;
	background-color: #CDE2FF;
}



table.data td {
	border:1px solid #CDCDCD;
	vertical-align:top;
}


.edit_style
{
	color: rgb(0,0,255);
	background: rgb(200,200,255);
	display: inline-block;
	border:0px;
	padding:0px;
	margin:0px;
}



.delete_style
{
	color: rgb(180,0,0);
	background: rgb(255,200,200);
	display: inline-block;
	border:0px;
	padding:0px;
	margin:0px;
}



.smaller
{
   font-size: 75%;
}


.date
{
	border:0px;
	padding:0px;
	margin:0px;
}


.big_button {
	font-size: 150%;
	font-weight: bold;
	padding:5px;
	background-color: rgb(143,230,33);
	border: 1px solid #666;
	color:#000;
	text-decoration:none;
}

.big_button_disabled {
	font-size: 150%;
	font-weight: bold;
	padding:5px;
	background-color: rgb(100,100,100);
	border: 1px solid #666;
	color:rgb(200,200,200);
	text-decoration:none;
}


table.calender tr,
table.calender td,
table.calender th {
	border: 0px solid #B8B8B8;
	font-size: 85%;
}

.login_form
{
	background-color: rgba(255, 255, 255, 0.8);
	display:inline-block;
	font-size: 180%;
}

.login_form_minimal
{
	font-size: 85%;
	display:inline-block;
	font-family: Helvetica, Arial, "Arial Narrow", "Helvetica Narrow", sans-serif;
}

.forgot_form
{
	background-color: rgba(255, 255, 255, 0.6);
	display:inline-block;
	left: 35em;
	top: 0;
	display:inline-block;
}

.forgot_class
{
	background-color:white;
	color:blue;
	text-align:center;
}

.cn
{
	font-size: 90%;
	color: rgb(100,100,100);
}

.sg
{
	font-size: 80%;
	color: rgb(150,150,150);
}

.sgm
{
	/* small gray minimal */
	color: rgb(150,150,150);
}

.light_gray
{
	font-size: 85%;
	color: rgb(150,150,150);
}

.login_links
{
	font-size: 70%;
	color: rgb(150,150,150);
	display:block;
}

.login_fields
{
	font-size: 150%;
	text-align: center;
	color:rgb(50,80,200);
	background-color: rgb(235,230,250);
	font-family: "Arial Narrow", "Helvetica Narrow", Helvetica, Arial, sans-serif;
}

.label
{
	text-align: right;
}

.user_login_button_avatar_label
{
	font-size: 40%;
	text-align: center;
	color:rgb(150,150,150);
	font-family: "Arial Narrow", "Helvetica Narrow", Helvetica, Arial, sans-serif;
}


.top_with_space
{
	vertical-align: top;
	text-align: left;
	padding:5px;
}


.tcm
{
	/* table comment, used in table browser */
	font-family: Courier, Monaco, "Courier New", monospace;
	font-size: 90%;
	color: rgb(200,0,100);
	background-color: rgb(215,245,235);
	margin-left: 10px;
	padding: 2px;
	border:2px;
}

.ccm
{
	/* column comment, used in table browser */
	font-family: Courier, Monaco, "Courier New", monospace;
	font-size: 88%;
	color: rgb(200,150,150);
	background-color: rgb(225,255,255);
	margin-left: 7px;
	padding: 1px;
	border:1px;
}

.isn
{
	/* isn = Is Nullable: This special class is used for the word "nullable" within the table browser: used to highlight which columns can allow null */
	background-color: #f9ee95;
	color: #cebb69;	
	font-weight: bold;
	font-family: Courier, Monaco, "Courier New", monospace;
	font-size: 85%;
	padding:3px;
	border:1px solid darkred;
}

.create_new_account_form
{
	background-color: rgba(255, 255, 255, 0.8);
	display:inline-block;
	font-size: 125%;
}

.tbttdv
{
	/* table browser top tools div */
	background-color: rgba(235, 255, 255);
	display:inline-block;
	margin: 5px;
	padding: 5px;
}

.alpha_index
{
	font-family: Courier, Monaco, "Courier New", monospace;
	display: inline-block;
	font-size: 130%;
	color: #333333;
	background-color: rgb(235, 255, 235);
	padding: 5px;
	border:5px;
}

.outer_div
{
     padding: 1px;
     text-align: center;
}

.inner_div
{
     margin: 0 auto;
}

.alpha_listing
{
	font-family: Verdana, "Arial Narrow", "Helvetica Narrow", Arial, Helvetica, sans-serif;
	font-size: 85%;
	color: rgb(50,50,50);
	border: 10px;
	margin: 10px;
}


.warning
{
	font-size: 125%;
	color: rgb(205,0,0);
}


.forgot_label_class
{
	text-align:right;
    font-size: 105%;
    padding-right: 5px;
}

.login_form_field
{
	color:rgb(0,0,0);
}

.error_message
{
	color: red;
    font-size: 150%;
    text-align: center;
    margin:10px;
    padding:10px;
}



table.user_tool_table {
	border: 3px rgb(150,150,150);
   font-size: 90%;
}

table.user_tool_table th {
	border:1px solid rgb(150,150,150);
	vertical-align:bottom;
	text-align:center;
	padding:2px;
}

table.user_tool_table td {
	border:1px solid rgb(150,150,150);
	vertical-align:top;
	padding:2px;
}


.ub
{
	/* ub = "username_button" */
	color: black;
	background: rgb(225,225,225);
	border: none;
}

.messages
{
	font-size: 115%;
	text-align: center;
	color: blue;
	background-color: rgba(255, 255, 255, 0.8);
	display:inline-block;
	padding:5px;
	border:5px;
	margin:5px;
}

.look_up_users_text_field
{
	text-align:center;
	color:black;
	background-color:yellow;
}

.setting_input_field
{
	text-align:center;
	color:black;
	background-color:yellow;
}

.red_text
{
	color: rgb(255,0,0);
}

.white_text
{
	color: rgb(255,255,255);
}

.blue_text
{
	color: rgb(0,0,255);
}

table.translation td {
	border:1px solid rgb(0,0,235);
	vertical-align:top;
	padding:5px;
}


.ttef
{
	/* Translation Text Entry Field */
	background-color:rgb(255,235,223);
	font-size: 130%;
	font-family: Courier, Monaco, "Courier New", monospace;
}

.small_link
{
	font-size: 75%;
	background-color: rgb(230,230,230);
	color: rgb(80,80,80);
	display: inline-block;
	padding:2px;
}

.table_comment
{
	font-size: 115%;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	display: inline-block;
	background-color: rgb(230,255,230);
	color: rgb(80,180,160);
	font-style: italic;
	padding:5px;
}

.center
{
	text-align: center;

}

.separate_div
{
	/* simple div used to set something apart, make it visually distinguishable as a separate item. */
	
	background-color: rgb(225,255,190);
	border:2px solid rgb(225,0,190);
	padding: 10px;
	margin: 5px;
	display:inline-block;
}


.button_style_link_span
{
	/* Style applied to regular web links to make them seem button-like */
	color: rgb(255,255,255);
	background-color: gold;
	border: 1px solid rgb(190,0,0);
	padding:5px;
	margin:5px;
	font-size: 90%;
	font-weight: bold;
	line-height: 220%;
}


a.button_style_link:link
{
	color: rgb(255,255,255);
	background-color: LightSeaGreen;
	text-decoration: none;
}

a.button_style_link:hover
{
	color: yellow;
	background-color: rgb(255,0,0);
	text-decoration: none;
}

a.button_style_link:active
{
	color: yellow;
	text-decoration: none;
}

a.button_style_link:visited
{
	color: rgb(205,255,255);
	text-decoration: none;
}


.add_record_field
{
	background-color: rgb(255,240,222);
	color: rgb(0,0,150);
	font-size: 125%;
	font-family: Courier, Monaco, "Courier New", monospace;
	padding:5px;
	text-align:center;
}

.add_record_label
{
	font-weight: bold;
	font-size: 115%;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	text-align:right;
	white-space: nowrap;
	color: rgb(160,160,160);
}

.add_record_dropdown
{
	font-size: 120%;
	color: rgb(130,20,250);
	background-color:rgb(255,230,255);
}

.ffld
{
	/* standard form field */
	font-size: 120%;
	color: rgb(0,90,87);
	background-color:rgb(150,255,230);
	text-align:center;
}

.ffldl
{
	/* standard form field; similar to ffld except that it is right-justified */
	font-size: 120%;
	color: rgb(0,90,87);
	background-color:rgb(150,255,230);
	text-align:left;
}

.ffldr
{
	/* standard form field; similar to ffld except that it is right-justified */
	font-size: 120%;
	color: rgb(0,90,87);
	background-color:rgb(150,255,230);
	text-align:right;
}

.ffldc
{
	/* standard form field */
	font-size: 120%;
	color: rgb(0,90,87);
	background-color:rgb(150,255,230);
	text-align:center;
}

.ffldb
{
	/* standard BIG form field */
	font-size: 200%;
	color: indigo;
	background-color: GreenYellow;
	text-align:center;
	font-family: Courier, Monaco, "Courier New", monospace;
	border: 2px solid GoldenRod;
	margin: 5px;
}

.sffld
{
	/* Intended as a standard class used for form field input: for data entry fields in forms. Smaller, such as used for "description" field within a table. */
	font-size: 90%;
	color: rgb(0,80,85);
	background-color:rgb(190,255,238);
	text-align:left;
}

.headline_flush_top
{
	background-color: #fcf3cf;
	padding: 3px;
	margin-top: 0px;
}


.space_saver_headline
{
	line-height: 0px;
}

.select_table_form
{
	/* Trying to limit vertical space taken up by the form at the top of the search page which is used to select a view or table.*/
	line-height: 0px;
	margin: 0px;
	display:block;
}

.short_form_button
{
	font-size: 90%;
	font-weight: bold;
	padding-left:8px;
	padding-right:8px;
	padding-top:0px;
	padding-bottom:2px;
	background-color: rgb(143,230,33);
	border: 1px solid #666;
	color:#000;
	text-decoration:none;
}

.strk
{
	text-decoration: line-through;
}

.black_background
{
	background-color: #000000;
}

.article
{
	font-family: Georgia, Palatino, "Times New Roman", Times, "Courier New";
	border: 6px groove brown;
	padding: 10px;
	margin: 10px;
	background-color: BlanchedAlmond;
	display: inline-block;
}

.form_text_area
{
	font-size: 200%;
	color:black;
	background-color: GreenYellow;
	text-align:center;
	font-family: Courier, Monaco, "Courier New", monospace;
	border: 2px solid GoldenRod;
	padding: 10px;
	margin: 10px;
}

.list_field_left
{
	text-align:left;
	font-family: Verdana, "Arial Narrow", "Helvetica Narrow", Arial, Helvetica, sans-serif;
	font-size: 90%;
	background-color: rgb(235, 255, 235);
	color: rgb(130,130,130);
}

.custom-control-label_alt
{
	color: red;
   font-weight: bold;
    font-size: 120%;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-top:5px;
    margin-bottom:5px;
}


.edit_field
{
	font-family: Georgia, Palatino, "Times New Roman", Times, "Courier New";
	font-size: 95%;
	color: rgb(50,50,50);
	background-color: rgb(255,225,235);
	padding:10px;
}

.login_label
{
	text-align:right;
    font-size: 80%;
	font-family: "Arial Narrow", "Helvetica Narrow", Arial, Helvetica, sans-serif;
    padding-right: 5px;
}


td.login_label
{
	text-align:right;
    font-size: 80%;
	font-family: "Arial Narrow", "Helvetica Narrow", Arial, Helvetica, sans-serif;
    padding-right: 5px;
}

.top_and_left_align
{
   vertical-align: top;
   text-align: left;
}

.username_checkbox
{

}

.big_dropdown_menu
{
	font-size: 150%;
	color: rgb(130,20,50);
	background-color:rgb(235,200,255);
}

.letter_selector
{
	font-weight: 500;
	font-size: 180%;
}

.selected_letter
{
	background-color: yellow;
	color: black;
	font-weight: 500;
	font-size: 125%;
	padding: 15px;
}

.relief
{
	padding: 10px;
	margin: 10px;
}

.term
{
   font-weight: bold;
    font-size: 150%;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-top:5px;
    margin-bottom:5px;
    background-color: rgb(255,230,180);
    color: #0000b3;
	font-family: Courier, Monaco, "Courier New", monospace;
}

.definition
{
	font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 110%;
    background-color: #ffff99;
}

.preserve_whitespace
{
	font-family: Courier, Monaco, "Courier New", monospace;
	white-space: pre;
}


/* BEGIN: class definitions used for implementing tabs (tab buttons that provide worksheet/tab-like experience, as one might find in an Excel spreadsheet) */
/* https://www.w3schools.com/howto/howto_js_tabs.asp */

 /* Style the tab */
.tab {
  overflow: hidden;
  border: 1px solid #ccc;
  background-color: #f1f1f1;
}

/* Style the buttons that are used to open the tab content */
.tab button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  transition: 0.3s;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #ddd;
}

/* Create an active/current tablink class */
.tab button.active {
  background-color: #ccc;
}

/* Style the tab content */
.tabcontent {
  display: none;
  padding: 6px 12px;
  border: 1px solid #ccc;
  border-top: none;
} 

/* END class definitions used for implementing tabs */


.lib_progress_bar {
  margin: 50px auto;
  padding: 2px;
  width: 100%;
  max-width: 1000px;
  border: 5px solid darkred;
  height: 30px;
}

.lib_progress_bar .progress__bar {
  height: 100%;
  width: 0%;
  background-color: lightblue;
  animation: fill-bar 3s infinite;
}

@keyframes fill-bar {
  from {width: 0%;}
  to {width: 100%;}
}

.big_form_label
{
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 120%;
	text-align: right;
	background-color: azure;
}

.big_form_label_top
{
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 120%;
	text-align: right;
	background-color: azure;
   vertical-align: top;
}

.big_info
{
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 130%;
}

.form_radio_button
{
    font-size: 140%;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	background-color: rgba(201, 150, 176, 0.4);
	padding: 4px 10px;
	margin: 12px;
	line-height: 36px;
}

.form_question
{
    font-size: 120%;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	padding: 6px 12px;
	margin: 12px;
	display:inline-block;
	line-height: 20px;
	background-color: rgba(150, 255, 150, 0.5);
}

.survey_question_note
{
    color: gray;
	font-style: italic;
	display:block;
	margin-top: 6px;
}

.form_results
{
	border: 10px groove darkblue;
	background-color: linen;
    font-size: 130%;
	font-family: Courier, Monaco, "Courier New", monospace;
	padding: 15px;
	margin: 15px;
	display: inline-block;
}

.sidebar_image
{
	display: inline-block;
	float: right; 
	margin: 15px;
}

.some_space_around
{
    padding: 10px;
    margin: 5px;
}

.question
{
   font-weight: bold;
    padding: 10px;
    margin: 5px;
    background-color: NavajoWhite;
    font-size: 120%;
	font-family: Verdana, Arial, Helvetica, sans-serif;
}

.answer
{
    padding: 10px;
    padding-left: 20px;
    margin: 5px;
    background-color: white;
    color: black;
    font-size: 110%;
	font-family: Arial, Helvetica, sans-serif;
}

.owner_data
{
   text-align: left;
	font-size: 90%;
	color:black;
	background-color: GreenYellow;
	font-family: Courier, Monaco, "Courier New", monospace;
	border: 2px solid GoldenRod;
	padding: 10px;
	margin: 10px;
}

.text_area_message
{
	font-size: 115%;
	color:black;
	background-color: GreenYellow;
	text-align:left;
	font-family: Courier, Monaco, "Courier New", monospace;
	border: 2px solid GoldenRod;
	padding: 10px;
	margin: 10px;
}

.message_to_send
{
	border: 10px groove darkblue;
	background-color: linen;
    font-size: 130%;
	font-family: Courier, Monaco, "Courier New", monospace;
	padding: 15px;
	margin: 15px;
	display: inline-block;

}

.message_type_name
{
    font-size: 130%;
	font-family: Courier, Monaco, "Courier New", monospace;
	margin: 10px;
	padding: 10px;
}

.standard_paragraph
{
	text-align: left;
	padding: 15px;
	margin: 15px;
	width:90%;
}

.alt_paragraph
{
	background-color: #e2efda;
	text-align: right;
	padding: 15px;
	margin: 15px;
	width:90%;
}